Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I have looked but I am unable to locate a good RPM source for the latest 1.8.X release of Ruby. Is there one out there?

This is going on a server to run some admin scripts and not to host Ruby based websites so it is not mission critical, but the server is.

share|improve this question
add comment

3 Answers

Ruby 1.8.7 is included in RHEL 6.

If you run an older version, then you could try to download the corresponding srpm and recompile.

Edit:

From my workstation:

$ rpm -qi ruby
Name        : ruby                         Relocations: (not relocatable)
Version     : 1.8.7.299                         Vendor: Red Hat, Inc.
Release     : 5.el6_0.1                     Build Date: Wed 17 Nov 2010 08:14:57 PM CET
Install Date: Tue 01 Mar 2011 10:52:22 AM CET      Build Host: x86-007.build.bos.redhat.com
Group       : Development/Languages         Source RPM: ruby-1.8.7.299-5.el6_0.1.src.rpm
Size        : 1875128                          License: Ruby or GPLv2
Signature   : RSA/8, Fri 31 Dec 2010 06:34:12 AM CET, Key ID 199e2f91fd431d51
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.ruby-lang.org/
Summary     : An interpreter of object-oriented scripting language
Description :
Ruby is the interpreted scripting language for quick and easy
object-oriented programming.  It has many features to process text
files and to do system management tasks (as in Perl).  It is simple,
straight-forward, and extensible.
$
$ cat /etc/redhat-release 
Red Hat Enterprise Linux Workstation release 6.0 (Santiago)
$

It looks that 1.8.7 made it into the final version, it could be absent in beta. If you have Red Hat subscription you should be able to get it. Otherwise your best bet is to wait for CentOs, I think.

share|improve this answer
    
I can only see 1.8.6 there ftp.redhat.com/pub/redhat/rhel/beta/6.0/x86_64/os/Packages can you provide a link to 1.8.7? Thanks. –  Treffynnon May 26 '11 at 11:48
    
@Treffynnon I edited my post. Maybe 1.8.7 wasn't available in beta. –  Paweł Brodacki May 26 '11 at 11:59
add comment

ftp://ftp.ruby-lang.org/pub/ruby/1.8/

I do realize that you asked for an RPM, but building from source is easy: ./configure ./make ./make install

done

share|improve this answer
add comment

You can download ruby enterprise RPMs from Endpoint, a ruby/rails consultancy.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.